package org.project.entity.players;

import org.project.entity.Entity;
import org.project.entity.enemies.Enemy;
import org.project.item.armors.Armor;
import org.project.item.armors.AssasinArmor;
import org.project.item.weapons.LightSaber;
import org.project.item.weapons.Weapon;

public class Assassin extends Player{

    private static final int MAX_HP = 300;
    private static final int MAX_MP = 50;
    private static final int SPECIAL_ABILITY_MANA_COST = 5;

    public Assassin(String name){
        Weapon assassinSaber = new LightSaber("Green"); // idk why but i gave assassin a light saber.
        Armor assassinArmor = new AssasinArmor();
        super(name, MAX_HP, MAX_MP, assassinSaber, assassinArmor, MAX_HP,MAX_MP);
    }

    @Override
    public void specialAbility(Enemy target) {
        mp -= SPECIAL_ABILITY_MANA_COST;
        System.out.println("Turning invisible...");
        this.defend();
        this.makeCritical(true);
    }

    @Override
    public int specialAblMPCost() {
        return SPECIAL_ABILITY_MANA_COST + DEFEND_MP_COST;
    }
}
